.BG
.FN hessian
.TL
hessian: Single Precision Finite Difference Hessian
.CS
hessian(f, param, scale=rep(1, length(param)))
.RA
.AG f
The S function whose hessian is desired.
.AG param
A vector of parameter values at which the hessian of `f' is to be calculated.
.OA
.AG scale
A vector of scale factors.  Needed only if the `param' values take on
different magnitudes of values.  For example, if `param(1)' can range
over `[0,10]' while `param(2)' is between `[0.0,0.001]' then a value
for scale would be `c(5,0.0005)'.
.RT
A matrix dimensioned `length(param)' x `length(param)'.  The `[i,j]'
entry contains an estimate of the second partial derivative of `f'
with respect to `param(i)' and `param(j)' evaluated at the values in
vector param.
.KW hessian, second derivatives
.WR
